> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tenant Automation

> Get a tenant automation by id



## OpenAPI

````yaml GET /api/automations/{id}
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/automations/{id}:
    get:
      tags:
        - Tenant Automation
      summary: Get Tenant Automation
      description: Get a tenant automation by id
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The id of the automation
          required: true
          description: The id of the automation
          name: id
          in: path
        - schema:
            type: string
            enum:
              - engage
              - measure
              - reputation
              - acquire
              - voice
            description: >-
              The Reach product the caller is rendering this automation under.
              Reputation automations (currently encoded as managed_hidden) are
              only returned when feature=reputation; otherwise they 404.
              Defaults to engage.
          required: false
          description: >-
            The Reach product the caller is rendering this automation under.
            Reputation automations (currently encoded as managed_hidden) are
            only returned when feature=reputation; otherwise they 404. Defaults
            to engage.
          name: feature
          in: query
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The id of the automation
                      name:
                        type: string
                        description: The name of the automation
                      description:
                        type: string
                        nullable: true
                        description: The description of the automation
                      createdAt:
                        type: string
                        nullable: true
                        description: The created at date of the automation
                      updatedAt:
                        type: string
                        nullable: true
                        description: The updated at date of the automation
                      triggerMetadata:
                        oneOf:
                          - type: object
                            properties:
                              triggerType:
                                type: string
                                enum:
                                  - one_time
                              scheduledAt:
                                anyOf:
                                  - type: string
                                    nullable: true
                                    description: >-
                                      String in ISO 8601 format with timezone
                                      information (e.g.,
                                      "2024-03-20T15:00:00-07:00" or
                                      "2024-03-20T15:00:00Z")
                                  - type: string
                                    enum:
                                      - now
                                    description: >-
                                      Schedule the automation to run 5 minutes
                                      from marking it as active
                                  - nullable: true
                              timezone:
                                type: string
                                description: >-
                                  Timezone in IANA format (e.g.,
                                  "America/New_York"). This is used for auditing
                                  and frontend display. Times are automatically
                                  converted to UTC when stored.
                            required:
                              - triggerType
                              - scheduledAt
                          - type: object
                            properties:
                              triggerType:
                                type: string
                                enum:
                                  - trigger_based
                              eventName:
                                type: string
                              eventFilter:
                                type: object
                                additionalProperties:
                                  type: string
                              cooldownSeconds:
                                type: number
                              artifactOutputKeys:
                                type: array
                                items:
                                  type: string
                              triggerIdKey:
                                type: string
                              rootActionId:
                                type: string
                              customTriggerCopy:
                                type: string
                            required:
                              - triggerType
                              - eventName
                              - eventFilter
                              - cooldownSeconds
                              - artifactOutputKeys
                              - triggerIdKey
                              - rootActionId
                          - type: object
                            properties:
                              triggerType:
                                type: string
                                enum:
                                  - date_based
                              monthDayTriggerType:
                                type: string
                                enum:
                                  - fixed_date
                              dayToTrigger:
                                type: number
                                description: Day of the month to trigger on
                              monthToTrigger:
                                type: number
                                description: Month to trigger on
                              customTriggerCopy:
                                type: string
                                description: >-
                                  Optional copy to use when displaying in the
                                  frontend
                              rootActionId:
                                type: string
                            required:
                              - triggerType
                              - monthDayTriggerType
                              - dayToTrigger
                              - monthToTrigger
                              - rootActionId
                          - nullable: true
                      triggerType:
                        type: string
                        enum:
                          - one_time
                          - trigger_based
                          - date_based
                      actionData:
                        type: array
                        nullable: true
                        items:
                          type: object
                          properties:
                            actionType:
                              type: string
                              enum:
                                - send_communication
                                - wait_until_next_fixed_time
                                - wait_until_next_occurrence
                                - wait_for_duration
                                - check_segment_membership
                            actionMetadata:
                              oneOf:
                                - type: object
                                  properties:
                                    currentActionId:
                                      type: string
                                    nextActionId:
                                      type: string
                                    templateActionId:
                                      type: string
                                      format: uuid
                                    actionType:
                                      type: string
                                      enum:
                                        - send_communication
                                    communicationGroupId:
                                      type: string
                                    customBlockText:
                                      type: string
                                    reputationTemplateType:
                                      type: string
                                      enum:
                                        - feedback-request
                                        - google-review
                                        - feedback-request-reminder
                                        - google-review-reminder
                                  required:
                                    - actionType
                                    - communicationGroupId
                                - type: object
                                  properties:
                                    currentActionId:
                                      type: string
                                    nextActionId:
                                      type: string
                                    templateActionId:
                                      type: string
                                      format: uuid
                                    actionType:
                                      type: string
                                      enum:
                                        - wait_until_next_fixed_time
                                    hour:
                                      type: number
                                    minute:
                                      type: number
                                    timezone:
                                      type: string
                                      enum:
                                        - America/New_York
                                  required:
                                    - actionType
                                    - hour
                                    - minute
                                    - timezone
                                - type: object
                                  properties:
                                    currentActionId:
                                      type: string
                                    nextActionId:
                                      type: string
                                    templateActionId:
                                      type: string
                                      format: uuid
                                    actionType:
                                      type: string
                                      enum:
                                        - wait_until_next_occurrence
                                    hour:
                                      type: number
                                    minute:
                                      type: number
                                    timezone:
                                      type: string
                                      enum:
                                        - America/New_York
                                  required:
                                    - actionType
                                    - hour
                                    - minute
                                    - timezone
                                - type: object
                                  properties:
                                    currentActionId:
                                      type: string
                                    nextActionId:
                                      type: string
                                    templateActionId:
                                      type: string
                                      format: uuid
                                    actionType:
                                      type: string
                                      enum:
                                        - wait_for_duration
                                    days:
                                      type: number
                                      minimum: 0
                                      default: 0
                                    hours:
                                      type: number
                                      minimum: 0
                                      default: 0
                                    minutes:
                                      type: number
                                      minimum: 0
                                      default: 0
                                    seconds:
                                      type: number
                                      minimum: 0
                                      default: 0
                                  required:
                                    - actionType
                                - type: object
                                  properties:
                                    currentActionId:
                                      type: string
                                    nextActionId:
                                      type: string
                                    templateActionId:
                                      type: string
                                      format: uuid
                                    actionType:
                                      type: string
                                      enum:
                                        - check_segment_membership
                                    segmentIds:
                                      type: array
                                      items:
                                        type: string
                                        format: uuid
                                  required:
                                    - actionType
                                    - segmentIds
                          required:
                            - actionType
                            - actionMetadata
                      businessId:
                        type: string
                      status:
                        type: string
                        enum:
                          - draft
                          - active
                          - running
                          - sending
                          - completed
                          - failed
                          - cancelled
                          - partially_cancelled
                          - archived
                      automationType:
                        type: string
                        enum:
                          - managed
                          - managed_hidden
                          - custom
                      includeSegmentIds:
                        type: array
                        items:
                          type: string
                      excludeSegmentIds:
                        type: array
                        items:
                          type: string
                      derivedRevenue:
                        type: number
                      derivedOrders:
                        type: number
                      extraMergeFieldsInUse:
                        type: array
                        items:
                          oneOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The id of the merge field
                                type:
                                  type: string
                                  enum:
                                    - static
                                templateName:
                                  type: string
                                  description: >-
                                    The template name of the merge field (e.g.
                                    black_friday_coupon)
                                displayName:
                                  type: string
                                  description: >-
                                    The display name of the merge field (e.g.
                                    "Black Friday Sale 50% off")
                                staticValue:
                                  type: string
                                  description: >-
                                    The static value of the merge field (e.g.
                                    "CODE123")
                              required:
                                - id
                                - type
                                - templateName
                                - displayName
                                - staticValue
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The id of the merge field
                                type:
                                  type: string
                                  enum:
                                    - dynamic
                                mergeFields:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      templateName:
                                        type: string
                                        description: >-
                                          The template name of the merge field
                                          (e.g. black_friday_coupon)
                                      displayName:
                                        type: string
                                        description: >-
                                          The display name of the merge field
                                          (e.g. "Black Friday Sale 50% off")
                                      image:
                                        type: object
                                        properties:
                                          placeholderUrl:
                                            type: string
                                            description: The placeholder url of the image
                                          maxSize:
                                            type: number
                                            description: The max size of the image in bytes
                                        required:
                                          - placeholderUrl
                                          - maxSize
                                    required:
                                      - templateName
                                      - displayName
                                url:
                                  type: string
                                  description: >-
                                    The url to fetch the dynamic merge fields
                                    from
                                parameters:
                                  type: object
                                  additionalProperties:
                                    nullable: true
                                  description: >-
                                    Additional parameters for the dynamic merge
                                    field
                              required:
                                - id
                                - type
                                - mergeFields
                                - url
                        description: >-
                          List of extra merge fields that are attached to this
                          automation that are currently being used in the
                          email/sms content
                      usePointOfContactSender:
                        type: boolean
                        nullable: true
                        description: >-
                          When true (and partner enables point-of-contact
                          sender), the send path will attempt to use the mapped
                          point-of-contact for the customer as the
                          From/reply-to. When false will use the default email
                          sender. Null/omitted is treated as false at send time.
                      senderProfileId:
                        type: string
                        nullable: true
                        format: uuid
                    required:
                      - id
                      - name
                      - description
                      - createdAt
                      - updatedAt
                      - triggerMetadata
                      - triggerType
                      - actionData
                      - businessId
                      - status
                      - automationType
                      - includeSegmentIds
                      - excludeSegmentIds
                      - derivedRevenue
                      - derivedOrders
                      - extraMergeFieldsInUse
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````